package com.qmth.ops.api.vo;

import com.qmth.boot.mybatis.query.BaseQuery;
import com.qmth.ops.biz.query.OrgQuery;

import java.util.stream.Collectors;

public class OrgPageVO extends BaseQuery<OrgVO> {

    public OrgPageVO(OrgQuery query) {
        setRecords(query.getRecords().stream().map(OrgVO::new).collect(Collectors.toList()));
        setPageNumber(query.getPageNumber());
        setPageSize(query.getPageSize());
        setTotal(query.getTotal());
        setCurrent(query.getCurrent());
        setPages(query.getPages());
        setSize(query.getSize());
    }

}
